Get organization handle

GET https://api.ap1.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.ap2.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.datadoghq.eu/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.us2.ddog-gov.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.us3.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/{organization_binding_id}/organization-handles/{handle_id}

Overview

Get an organization handle from the Datadog Google Chat integration.

Arguments

Path Parameters

Name

Type

Description

organization_binding_id [required]

string

Your organization binding ID.

handle_id [required]

string

Your organization handle ID.

Response

OK

Organization handle for monitor notifications to a Google Chat space within a Google organization.

Expand All

Field

Type

Description

data [required]

object

Organization handle data from a response.

attributes

object

Organization handle attributes.

name

string

Organization handle name.

space_display_name

string

Google space display name.

space_resource_name

string

Google space resource name.

id

string

The ID of the organization handle.

type

enum

Organization handle resource type. Allowed enum values: google-chat-organization-handle

default: google-chat-organization-handle

{
  "data": {
    "attributes": {
      "name": "fake-handle-name",
      "space_display_name": "Fake Space Name",
      "space_resource_name": "spaces/AAAAAAAAA"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "google-chat-organization-handle"
  }
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Path parameters
export organization_binding_id="CHANGE_ME"
export handle_id="CHANGE_ME"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/google-chat/organizations/${organization_binding_id}/organization-handles/${handle_id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
Get organization handle returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.google_chat_integration_api import GoogleChatIntegrationApi

# there is a valid "organization_handle" in the system
ORGANIZATION_HANDLE_DATA_ID = environ["ORGANIZATION_HANDLE_DATA_ID"]

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = GoogleChatIntegrationApi(api_client)
    response = api_instance.get_organization_handle(
        organization_binding_id="e54cb570-c674-529c-769d-84b312288ed7",
        handle_id=ORGANIZATION_HANDLE_DATA_ID,
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
# Get organization handle returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::GoogleChatIntegrationAPI.new

# there is a valid "organization_handle" in the system
ORGANIZATION_HANDLE_DATA_ID = ENV["ORGANIZATION_HANDLE_DATA_ID"]
p api_instance.get_organization_handle("e54cb570-c674-529c-769d-84b312288ed7", ORGANIZATION_HANDLE_DATA_ID)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
// Get organization handle returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "organization_handle" in the system
	OrganizationHandleDataID := os.Getenv("ORGANIZATION_HANDLE_DATA_ID")

	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewGoogleChatIntegrationApi(apiClient)
	resp, r, err := api.GetOrganizationHandle(ctx, "e54cb570-c674-529c-769d-84b312288ed7", OrganizationHandleDataID)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `GoogleChatIntegrationApi.GetOrganizationHandle`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `GoogleChatIntegrationApi.GetOrganizationHandle`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
// Get organization handle returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.GoogleChatIntegrationApi;
import com.datadog.api.client.v2.model.GoogleChatOrganizationHandleResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    GoogleChatIntegrationApi apiInstance = new GoogleChatIntegrationApi(defaultClient);

    // there is a valid "organization_handle" in the system
    String ORGANIZATION_HANDLE_DATA_ID = System.getenv("ORGANIZATION_HANDLE_DATA_ID");

    try {
      GoogleChatOrganizationHandleResponse result =
          apiInstance.getOrganizationHandle(
              "e54cb570-c674-529c-769d-84b312288ed7", ORGANIZATION_HANDLE_DATA_ID);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling GoogleChatIntegrationApi#getOrganizationHandle");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
// Get organization handle returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_google_chat_integration::GoogleChatIntegrationAPI;

#[tokio::main]
async fn main() {
    // there is a valid "organization_handle" in the system
    let organization_handle_data_id = std::env::var("ORGANIZATION_HANDLE_DATA_ID").unwrap();
    let configuration = datadog::Configuration::new();
    let api = GoogleChatIntegrationAPI::with_config(configuration);
    let resp = api
        .get_organization_handle(
            "e54cb570-c674-529c-769d-84b312288ed7".to_string(),
            organization_handle_data_id.clone(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Get organization handle returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.GoogleChatIntegrationApi(configuration);

// there is a valid "organization_handle" in the system
const ORGANIZATION_HANDLE_DATA_ID = process.env
  .ORGANIZATION_HANDLE_DATA_ID as string;

const params: v2.GoogleChatIntegrationApiGetOrganizationHandleRequest = {
  organizationBindingId: "e54cb570-c674-529c-769d-84b312288ed7",
  handleId: ORGANIZATION_HANDLE_DATA_ID,
};

apiInstance
  .getOrganizationHandle(params)
  .then((data: v2.GoogleChatOrganizationHandleResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"